/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.store.azure.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Josef Sustacek
 */
@ExtendedObjectClassDefinition(category = "file-storage")
@Meta.OCD(
	id = "com.liferay.portal.store.azure.configuration.AzureStoreConfiguration",
	localization = "content/Language", name = "azure-store-configuration-name"
)
public interface AzureStoreConfiguration {

	@Meta.AD(description = "connection-string-help", name = "connection-string")
	public String connectionString();

	@Meta.AD(description = "container-name-help", name = "container-name")
	public String containerName();

	@Meta.AD(
		description = "encryption-scope-help", name = "encryption-scope",
		required = false
	)
	public String encryptionScope();

	@Meta.AD(
		description = "http-logging-enabled-help",
		name = "http-logging-enabled", required = false
	)
	public boolean httpLoggingEnabled();

}